var count = 0 ;
            var itWidth = 294;
            var imgWidth;
            var tWidth
            var wLeft=0;
            var iTScroll;
            var iScroll = 1;
            var stopRightSlide = false;
            var stopLeftSlide = false;
         // $(document).ready(function(){
            $('#wheeled .wheeled-items img:first').load(function(){
                imgWidth = $('#wheeled .wheeled-items img:first').width();
                itWidth = (parseInt(imgWidth)+33);

                count = $('#wheeled .wheeled-items').children().length;
                var tWidth = (parseInt(imgWidth)+33)*parseInt(count);
                //$('#wheeled .wheeled-items').width(parseInt(tWidth));
                if(itWidth == tWidth){
                    $('.product-scroller-wrap .right').addClass('disabled');
                }
                wLeft=0;
                //tWidth = $('#wheeled .wheeled-items').width();
                //imgWidth = $('#wheeled .wheeled-items img').width();
                count = $('#wheeled .wheeled-items').children().size();
                //itWidth = parseInt(imgWidth)+33;

                iTScroll = Math.ceil(parseInt(count))-1;
                iScroll = 0;

                 window.setInterval(function(){
                    if(stopRightSlide == false && stopLeftSlide == false){
                      iScroll+=1;
                       if(iScroll < 1){
                          $('.product-scroller-wrap .left').addClass('disabled');
                       } else {
                          $('.product-scroller-wrap .left').removeClass('disabled');
                       }
                       if(iScroll < iTScroll){
                         if($('.product-scroller-wrap .right').hasClass('disabled')){
                            $('.product-scroller-wrap .right').removeClass('disabled');
                         }
                        wLeft-=itWidth;

                        $('#wheeled .wheeled-items').animate({'left':wLeft+'px'});
                       } else {
                         $('.product-scroller-wrap .right').addClass('disabled');
                         wLeft = 0;
                         iScroll = 0;
                       }
                     }
                 }, 5000);
             });
         // });

          function slideLeft(obj) {
              stopLeftSlide = true;
              $('.product-scroller-wrap .right').removeClass('disabled');
              if(iScroll > 0){
                  iScroll-=1;
                  wLeft+=itWidth;
                  $('#wheeled .wheeled-items').animate({'left':wLeft+'px'},{complete:function(){
                    stopLeftSlide = false;
                  }});
              }
              if(iScroll== 0){
                  $('.product-scroller-wrap .left').addClass('disabled');
              }
          }
          function slideRight(obj) {
              stopRightSlide = true;
              $('.product-scroller-wrap .left').removeClass('disabled');
              if(iScroll < iTScroll){
                  wLeft-=itWidth;
                  iScroll+=1;
                  $('#wheeled .wheeled-items').animate({'left':wLeft+'px'},{complete:function(){
                    stopRightSlide = false;
                  }});
              }
              if(iScroll == iTScroll){
                  $('.product-scroller-wrap .right').addClass('disabled');
              }
          }